%define upstream_name    Dist-Zilla-Plugin-MetaNoIndex
%define upstream_version 1.101550

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stop CPAN from indexing stuff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::PowerSet)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Modern::Perl)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Readonly)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin allows you to prevent PAUSE/CPAN from indexing files you don't
want indexed. This is useful if you build test classes or example classes
that are used for those purposes only, and are not part of the
distribution. It does this by adding a 'no_index' block to your _META.yml_
file in your distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Apr 25 2011 Funda Wang <fwang@mandriva.org> 1.101.550-2mdv2011.0
+ Revision: 658842
- add br
- add br
- rebuild for updated spec-helper

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.550-1mdv2011.0
+ Revision: 554303
- adding missing buildrequires:
- update to 1.101550

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 526438
- update to 0.0300

* Wed Mar 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 517499
- import perl-Dist-Zilla-Plugin-MetaNoIndex


* Wed Mar 10 2010 cpan2dist 0.0200-1mdv
- initial mdv release, generated with cpan2dist
